import com.imsl.stat.*;

public class KolmogorovOneSampleEx1 {

    static public void main(String arg[]) {
        
        CdfFunction cdf = new CdfFunction() { 
            public double cdf(double x) {
                double mean = 0.5;
                double std = 0.2886751;
                double z = (x - mean) / std;
                return Cdf.normal(z);
            }
        };
        
        double x[] = new double[100];
        Random random = new Random(123457);
        random.setMultiplier(16807);
        for (int i = 0;  i < x.length;  i++) {
            x[i] = random.nextDouble();
        }
        
        KolmogorovOneSample kos = new KolmogorovOneSample(cdf, x);
        System.out.println("D  = "+ kos.getTestStatistic());
        System.out.println("D+ = " + kos.getMaximumDifference());
        System.out.println("D- = " + kos.getMinimumDifference());
        System.out.println("Z   = " + kos.getZ());
        System.out.println("Prob greater D one sided = " +
                kos.getOneSidedPValue());
        System.out.println("Prob greater D two sided = " +
                kos.getTwoSidedPValue());
        System.out.println("N missing = " + kos.getNumberMissing());
    }
}
